detekt-api
1.21.0-RC2

# InvalidConfigurationError

class InvalidConfigurationError (throwable: Throwable ? = null) : RuntimeException
Content copied to clipboard

Is thrown when loading a configuration results in errors.

## Constructors

InvalidConfigurationError
Link copied to clipboard
fun InvalidConfigurationError (throwable: Throwable ? = null)
Content copied to clipboard

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed (p0: Throwable )
Content copied to clipboard
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace (): Throwable
Content copied to clipboard
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage (): String
Content copied to clipboard
getStackTrace
Link copied to clipboard
open fun getStackTrace (): Array < StackTraceElement >
Content copied to clipboard
getSuppressed
Link copied to clipboard
fun getSuppressed (): Array < Throwable >
Content copied to clipboard
initCause
Link copied to clipboard
open fun initCause (p0: Throwable ): Throwable
Content copied to clipboard
printStackTrace
Link copied to clipboard
open fun printStackTrace ()
Content copied to clipboard
open fun printStackTrace (p0: PrintStream )
Content copied to clipboard
open fun printStackTrace (p0: PrintWriter )
Content copied to clipboard
setStackTrace
Link copied to clipboard
open fun setStackTrace (p0: Array < StackTraceElement >)
Content copied to clipboard

## Properties

cause
Link copied to clipboard
open val cause : Throwable ?
Content copied to clipboard
message
Link copied to clipboard
open val message : String ?
Content copied to clipboard